# MGType

Determines the type of multigrid method that is run.

### Synopsis

    typedef enum { MGMULTIPLICATIVE,MGADDITIVE,MGFULL,MGKASKADE } MGType;

### Values

| MGMULTIPLICATIVE (default) | - traditional V or W cycle as determined by MGSetCycles()
| MGADDITIVE | - the additive multigrid preconditioner where all levels are smoothed before updating the residual
| MGFULL | - same as multiplicative except one also performs grid sequencing, that is starts on the coarsest grid, performs a cycle, interpolates to the next, performs a cycle etc
| MGKASKADE | - like full multigrid except one never goes back to a coarser level from a finer

### See Also

MGSetType()

Level:beginner
Location:src/ksp/pc/impls/mg/../../../../../include/petscmg.h
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages